: Class ActivationDataFlavor

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.activation
Class ActivationDataFlavor

    java.lang.Object
      |
      +--java.awt.datatransfer.DataFlavor
            |
            +--javax.activation.ActivationDataFlavor

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Externalizable, java.io.Serializable

public class ActivationDataFlavor
extends java.awt.datatransfer.DataFlavor

Activation Data Flavor.

Version:
  $Revision: 1.4 $
Author:
  Andrew Selkirk
See Also:
  Serialized Form

Fields inherited from class java.awt.datatransfer.DataFlavor
`javaFileListFlavor, javaJVMLocalObjectMimeType, javaRemoteObjectMimeType, javaSerializedObjectMimeType, plainTextFlavor, stringFlavor`

Constructor Summary
`ActivationDataFlavor(java.lang.Class representationClass, java.lang.String humanPresentableName)` Create Activation Data Flavor.
`ActivationDataFlavor(java.lang.Class representationClass, java.lang.String mimeType, java.lang.String humanPresentableName)` Create Activation Data Flavor.
`ActivationDataFlavor(java.lang.String mimeType, java.lang.String humanPresentableName)` Create Activation Data Flavor.

Method Summary
`boolean` | `equals(java.awt.datatransfer.DataFlavor dataFlavor)` Test data flavor for equivalence.
`java.lang.String` | `getHumanPresentableName()` Get human presentable name
`java.lang.String` | `getMimeType()` Get MIME Type.
`java.lang.Class` | `getRepresentationClass()` Get representation class.
`boolean` | `isMimeTypeEqual(java.lang.String mimeType)` Determine if MIME Type is equals to data flavor.
`protected java.lang.String` | `normalizeMimeType(java.lang.String mimeType)` Normalize MIME Type.
`protected java.lang.String` | `normalizeMimeTypeParameter(java.lang.String parameterName, java.lang.String parameterValue)` Normalize MIME type parameter.
`void` | `setHumanPresentableName(java.lang.String humanPresentableName)` Set the human presentable name.

Methods inherited from class java.awt.datatransfer.DataFlavor
`clone, equals, equals, getDefaultRepresentationClass, getDefaultRepresentationClassAsString, getParameter, getPrimaryType, getReaderForText, getSubType, getTextPlainUnicodeFlavor, hashCode, isFlavorJavaFileListType, isFlavorRemoteObjectType, isFlavorSerializedObjectType, isMimeTypeEqual, isMimeTypeSerializedObject, isRepresentationClassInputStream, isRepresentationClassRemote, isRepresentationClassSerializable, match, readExternal, selectBestTextFlavor, toString, tryToLoadClass, writeExternal`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ActivationDataFlavor

    public ActivationDataFlavor(java.lang.Class representationClass,
                                java.lang.String humanPresentableName)

  Create Activation Data Flavor.
  Parameters:
    `representationClass` - Class representing flavor
    `humanPresentableName` - Readable name

### ActivationDataFlavor

    public ActivationDataFlavor(java.lang.String mimeType,
                                java.lang.String humanPresentableName)

  Create Activation Data Flavor.
  Parameters:
    `mimeType` - MIME Type
    `humanPresentableName` - Readable name

### ActivationDataFlavor

    public ActivationDataFlavor(java.lang.Class representationClass,
                                java.lang.String mimeType,
                                java.lang.String humanPresentableName)

  Create Activation Data Flavor.
  Parameters:
    `representationClass` - Class representing flavor
    `mimeType` - MIME Type
    `humanPresentableName` - Readable name

Method Detail

### equals

    public boolean equals(java.awt.datatransfer.DataFlavor dataFlavor)

  Test data flavor for equivalence.
  Overrides:
    `equals` in class `java.awt.datatransfer.DataFlavor`
  Parameters:
    `dataFlavor` - Data flavor to test
  Returns:
    true if equals, otherwise false

### getHumanPresentableName

    public java.lang.String getHumanPresentableName()

  Get human presentable name
  Overrides:
    `getHumanPresentableName` in class `java.awt.datatransfer.DataFlavor`
  Returns:
    Name

### setHumanPresentableName

    public void setHumanPresentableName(java.lang.String humanPresentableName)

  Set the human presentable name.
  Overrides:
    `setHumanPresentableName` in class `java.awt.datatransfer.DataFlavor`
  Parameters:
    `humanPresentableName` - Name

### getMimeType

    public java.lang.String getMimeType()

  Get MIME Type.
  Overrides:
    `getMimeType` in class `java.awt.datatransfer.DataFlavor`
  Returns:
    MIME Type

### getRepresentationClass

    public java.lang.Class getRepresentationClass()

  Get representation class.
  Overrides:
    `getRepresentationClass` in class `java.awt.datatransfer.DataFlavor`
  Returns:
    Representation class

### isMimeTypeEqual

    public boolean isMimeTypeEqual(java.lang.String mimeType)

  Determine if MIME Type is equals to data flavor.
  Overrides:
    `isMimeTypeEqual` in class `java.awt.datatransfer.DataFlavor`
  Parameters:
    `mimeType` - MIME Type to test
  Returns:
    true if equal, false otherwise

### normalizeMimeType

    protected java.lang.String normalizeMimeType(java.lang.String mimeType)

  Normalize MIME Type.
  Overrides:
    `normalizeMimeType` in class `java.awt.datatransfer.DataFlavor`
  Parameters:
    `mimeType` - MIME Type to normalize
  Returns:
    Normalized MIME Type

### normalizeMimeTypeParameter

    protected java.lang.String normalizeMimeTypeParameter(java.lang.String parameterName,
                                                          java.lang.String parameterValue)

  Normalize MIME type parameter.
  Overrides:
    `normalizeMimeTypeParameter` in class `java.awt.datatransfer.DataFlavor`
  Parameters:
    `parameterName` - Parameter name to normalize
    `parameterValue` - Parameter value to normalize
  Returns:
    Normalized parameter

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2002 the Free Software Foundation, all rights reserved.